Vous êtes ici:

Menu


Stacks Image 40470
Il nous reste à installer Centreon-Web 2.7.3. Attention, étant donné que nous utilisons une carte SD, ne vous attendez pas à avoir des temps de réponses digne d’un petit serveur. C’est très lent surtout avec des cartes peu rapides. D’ailleurs ce système de stockage n’est pas conseillé pour une architecture comme Centreon, j’ai déjà détruit une carte :-( Une meilleure solution serait d’utiliser un disque USB en remplacement de la carte SD Ram (affaire à suivre).

17 Pré requis

Tout d'abord, Il faudra créer un utilisateur centreon
sudo groupadd -g 6000 centreon
sudo useradd -u 6000 -g centreon -m -r -d /var/lib/centreon -c "Centreon Admin" centreon
Il faut aussi installer des paquets supplémentaires
sudo apt-get install sudo tofrodos bsd-mailx lsb-release mariadb-server libmysqlclient-dev apache2 apache2-mpm-prefork php5 php5-mysql php-pear php5-ldap php5-snmp php5-gd rrdtool librrds-perl libconfig-inifiles-perl libcrypt-des-perl libdigest-hmac-perl libdigest-sha-perl libgd-gd2-perl php5-sqlite php5-intl -y
Optionnellement, on peut ajouter phpmyadmin pour visualiser aisément les bases de données.
sudo apt-get install phpmyadmin -y

18 Installation en ligne de commande

Téléchargez le binaire dans le dossier home et décompressez-le.
cd
wget https://s3-eu-west-1.amazonaws.com/centreon-download/public/centreon/centreon-web-2.7.3.tar.gz
tar xzf centreon-web-2.7.3.tar.gz 
cd centreon-web-2.7.3
Avant de commencez l’installation, corrigeons un bug d’installation pour le programme generateSqlLite. Copions les lignes suivantes dans un fichier /home/pi/centreon-web-2.7.3/libinstall/CentWeb.patch
vi /home/pi/centreon-web-2.7.3/libinstall/CentWeb.patch
Ajoutez les lignes suivantes.
--- CentWeb.sh  2016-03-28 11:52:26.629554474 +0200
+++ CentWeb.sh  2016-03-28 11:59:06.586726389 +0200
@@ -530,6 +530,11 @@
        $CENTREON_BINDIR/centreonSyncArchives >> $LOG_FILE 2>&1
 check_result $? "$(gettext "Install centreonSyncArchives")"

+log "INFO" "$(gettext "Prepare generateSqlLite")"
+cp $TMP_DIR/src/bin/generateSqlLite \
+        $TMP_DIR/final/bin/generateSqlLite >> "$LOG_FILE" 2>&1
+check_result $? "$(gettext "Prepare generateSqlLite")"
+
 log "INFO" "$(gettext "Install generateSqlLite")"
 $INSTALL_DIR/cinstall $cinstall_opts \
        -m 755 \
Patchez.
cd /home/pi/centreon-web-2.7.3/libinstall
patch -p0 < CentWeb.patch
Lancez la ligne de commande ci-dessous pour débuter l'installation.
cd /home/pi/centreon-web-2.7.3
sudo ./install.sh -i
Au lancement du script, le programme confirme si toutes les dépendances sont satisfaites.
###############################################################################
#                                                                             #
#                         Centreon (www.centreon.com)                         #
#                          Thanks for using Centreon                          #
#                                                                             #
#                                    v2.7.3                                   #
#                                                                             #
#                               infos@centreon.com                            #
#                                                                             #
#                   Make sure you have installed and configured               #
#                   sudo - sed - php - apache - rrdtool - mysql               #
#                                                                             #
###############################################################################
------------------------------------------------------------------------
	Checking all needed binaries
------------------------------------------------------------------------
rm                                                         OK
cp                                                         OK
mv                                                         OK
/bin/chmod                                                 OK
/bin/chown                                                 OK
echo                                                       OK
more                                                       OK
mkdir                                                      OK
find                                                       OK
/bin/grep                                                  OK
/bin/cat                                                   OK
/bin/sed                                                   OK

You will now read Centreon Licence.
	Press enter to continue.
Ensuite, vous devez accepter la licence d'utilisateur de Centreon (licence GPL Version 2) pour continuer. Si vous refusez cette licence, vous abandonnez l'installation.
This General Public License does not permit incorporating your program into
proprietary programs.  If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library.  If this is what you want to do, use the GNU Library General
Public License instead of this License.

Do you accept GPL license ?
[y/n], default to [n]:
> y
Le module d'installation va alors vous si vous souhaitez installer les modules: l'interface Web Centreon, Centcore, les plugins Centreon et les Traps handler Centreon. Nous utiliserons tous les modules. L'intérêt d'installer CentCore maintenant réside dans le fait qu'il sera plus facile d'évoluer vers une installation distribuée.
------------------------------------------------------------------------
	Please choose what you want to install
------------------------------------------------------------------------

Do you want to install : Centreon Web Front
[y/n], default to [n]:
> y

Do you want to install : Centreon CentCore
[y/n], default to [n]:
> y

Do you want to install : Centreon Nagios Plugins
[y/n], default to [n]:
> y

Do you want to install : CentreonTrapd process
[y/n], default to [n]:
> y
Le script d'installation va maintenant procéder à l'installation des différents modules.
Commençons par Centreon Web, l'interface de centreon. Ici, on nous demande où installer Centreon UI. Saisissez le chemin indiqué ci-dessous.
------------------------------------------------------------------------ 
        Start CentWeb Installation
------------------------------------------------------------------------

Where is your Centreon directory?
default to [/usr/local/centreon]
>/usr/share/centreon
Path /usr/share/centreon                                   OK
Ici on nous demande le répertoire de stockage des journaux/logs de centreon.
Where is your Centreon log directory
default to [/usr/local/centreon/log]
> /var/log/centreon

Do you want me to create this directory ? [/var/log/centreon]
[y/n], default to [n]:
> y
Path /var/log/centreon                                     OK
Très important : L'emplacement des fichiers de configuration de centreon. Attention si cet endroit venait à changer par la suite, vous seriez obligé de relancer l'installation de centreon, certains fichiers devant être regénérés. Saisir les valeurs par défaut et répondre y pour la création des dossiers.
Where is your Centreon etc directory
default to [/etc/centreon]
> 

Do you want me to create this directory ? [/etc/centreon]
[y/n], default to [n]:
> y
Path /etc/centreon                                         OK

Where is your Centreon binaries directory
default to [/usr/local/centreon/bin]
> /usr/share/centreon/bin

Do you want me to create this directory ? [/usr/share/centreon/bin]
[y/n], default to [n]:
> y
Path /usr/share/centreon/bin                               OK

Where is your Centreon data informations directory
default to [/usr/local/centreon/data]
> /usr/share/centreon/data

Do you want me to create this directory ? [/usr/share/centreon/data]
[y/n], default to [n]:
> y
Path /usr/share/centreon/data                              OK

Where is your Centreon variable library directory?
default to [/var/lib/centreon]
> 

Do you want me to create this directory ? [/var/lib/centreon]
[y/n], default to [n]:
> y
Path /var/lib/centreon                                     OK
/usr/bin/rrdtool                                           OK
/usr/bin/mail                                              OK
/usr/bin/php                                               OK

Where is PEAR [PEAR.php] 
default to [/usr/share/php/PEAR.php]
> 
Path /usr/share/php                                        OK
/usr/bin/perl                                              OK
Enable Apache configuration                                OK
ERROR: Conf centreon does not exist!
Finding Apache user :                                      www-data
Finding Apache group :                                     www-data
Utilisation d'un groupe centreon et d'un utilisateur centreon, validez entrée par défaut
What is the Centreon group ? [centreon]
default to [centreon]
> 

What is the Centreon user ? [centreon]
default to [centreon]
> 
Choisissez le moteur centreon-engine et le broker centreon-broker. Indiquez le chemin des plugins.
What is the Monitoring engine user ?
> centreon-engine

What is the Broker user ? (optional)
> centreon-broker

What is the Monitoring engine log directory ?
> /var/log/centreon-engine

Where is your monitoring plugins (libexec) directory ?
default to [/usr/lib/nagios/plugins]
> 
Path /usr/lib/nagios/plugins                            OK
Add group centreon to user www-data                        OK
Add group centreon to user centreon-engine                 OK
Add group centreon-engine to user www-data                 OK
Add group centreon-engine to user centreon                 OK
Configuration des commandes utilisées par Sudo. Saisir les chemins comme indiqué ci-dessous.
------------------------------------------------------------------------
	Configure Sudo
------------------------------------------------------------------------

Where is sudo configuration file
default to [/etc/sudoers]
> 
/etc/sudoers                                               OK

What is the Monitoring engine init.d script ?
> /etc/init.d/centengine

What is the Monitoring engine binary ?
> /usr/sbin/centengine

What is the Monitoring engine configuration directory ?
> /etc/centreon-engine

Where is the configuration directory for broker module ?
>  /etc/centreon-broker

Where is the init script for broker module daemon ?
> /etc/init.d/cbd
Your sudo is not configured

Do you want me to configure your sudo ? (WARNING) 
[y/n], default to [n]:
> y
Configuring Sudo                                           OK
Configuration du serveur Web
------------------------------------------------------------------------
	Configure Apache server
------------------------------------------------------------------------

Do you want to add Centreon Apache sub configuration file ?
[y/n], default to [n]:
> y
Create '/etc/apache2/conf-available/centreon.conf'         OK
Configuring Apache                                         OK

Do you want to reload your Apache ?
[y/n], default to [n]:
> y
Reloading Apache service                                   OK
Preparing Centreon temporary files
Change right on /var/log/centreon                          OK
Change right on /etc/centreon                              OK
Change macros for insertBaseConf.sql                       OK
Change macros for sql update files                         OK
Change macros for php files                                OK
Change macros for php config file                          OK
Change macros for perl binary                              OK
Change right on /etc/centreon-engine                       OK
Add group centreon-broker to user www-data                 OK
Add group centreon-broker to user centreon-engine          OK
Add group centreon to user centreon-broker                 OK
Change right on /etc/centreon-broker                       OK
Copy CentWeb in system directory
Install CentWeb (web front of centreon)                    OK
Change right for install directory
Change right for install directory                         OK
Install libraries                                          OK
Write right to Smarty Cache                                OK
Copying libinstall                                         OK
Change macros for centreon.cron                            OK
Install Centreon cron.d file                               OK
Change macros for centAcl.php                              OK
Change macros for downtimeManager.php                      OK
Install cron directory                                     OK
Change right for eventReportBuilder                        OK
Change right for dashboardBuilder                          OK
Change macros for centreon.logrotate                       OK
Install Centreon logrotate.d file                          OK
Prepare centFillTrapDB                                     OK
Install centFillTrapDB                                     OK
Prepare centreon_trap_send                                 OK
Install centreon_trap_send                                 OK
Prepare centreon_check_perfdata                            OK
Install centreon_check_perfdata                            OK
Prepare centreonSyncPlugins                                OK
Install centreonSyncPlugins                                OK
Prepare centreonSyncArchives                               OK
Install centreonSyncArchives                               OK
Prepare generateSqlLite                                    OK
Install generateSqlLite                                    OK
Install changeRrdDsName.pl                                 OK
Prepare export-mysql-indexes                               OK
Install export-mysql-indexes                               OK
Prepare import-mysql-indexes                               OK
Install import-mysql-indexes                               OK
Prepare clapi binary                                       OK
Install clapi binary                                       OK
Centreon Web Perl lib installed                            OK

------------------------------------------------------------------------
Pear Modules
------------------------------------------------------------------------
Check PEAR modules
PEAR                            1.4.9       1.10.1         OK
DB                              1.7.6                      NOK
DB_DataObject                   1.8.4                      NOK
DB_DataObject_FormBuilder       1.0.0RC4                   NOK
MDB2                            2.0.0                      NOK
Date                            1.4.6                      NOK
Archive_Tar                     1.1         1.4.0          OK
Auth_SASL                       1.0.1                      NOK
Console_Getopt                  1.2         1.4.1          OK
Validate                        0.6.2                      NOK
Log                             1.9.11                     NOK
Archive_Zip                     0.1.2                      NOK

Do you want me to install/upgrade your PEAR modules
[y/n], default to [y]:
> y
Le script d'installation n'a pas trouvé les modules Perl à jour, répondre y pour les mettre à jour automatiquement. Dans le cadre d'un serveur qui n'aurait pas accès à Internet, vous pouvez auparavant mettre à jour les paquets Pear par une méthode manuelle indiquée sur mon blog.
Upgrading PEAR modules
Installing PEAR modules
DB                              1.7.6       1.9.2          OK
DB_DataObject                   1.8.4       1.11.5         OK
DB_DataObject_FormBuilder       1.0.0RC4    1.0.2          OK
MDB2                            2.0.0       2.4.1          OK
Auth_SASL                       1.0.1       1.0.6          OK
Validate                        0.6.2       0.8.5          OK
Log                             1.9.11      1.12.9         OK
Archive_Zip                     0.1.2       0.1.2          OK
Check PEAR modules
PEAR                            1.4.9       1.10.1         OK
DB                              1.7.6       1.9.2          OK
DB_DataObject                   1.8.4       1.11.5         OK
DB_DataObject_FormBuilder       1.0.0RC4    1.0.2          OK
MDB2                            2.0.0       2.4.1          OK
Date                            1.4.6       1.4.7          OK
Archive_Tar                     1.1         1.4.0          OK
Auth_SASL                       1.0.1       1.0.6          OK
Console_Getopt                  1.2         1.4.1          OK
Validate                        0.6.2       0.8.5          OK
Log                             1.9.11      1.12.9         OK
Archive_Zip                     0.1.2       0.1.2          OK
All PEAR modules                                           OK

------------------------------------------------------------------------
		Centreon Post Install
------------------------------------------------------------------------
Create /usr/share/centreon/www/install/install.conf.php    OK
Create /etc/centreon/instCentWeb.conf                      OK
Pear étant à jour, nous continuons avec l'installation de CentStorage.
------------------------------------------------------------------------
	Start CentStorage Installation
------------------------------------------------------------------------

Where is your Centreon Run Dir directory?
default to [/var/run/centreon]
>

Do you want me to create this directory ? [/var/run/centreon]
[y/n], default to [n]:
> y
Path /var/run/centreon                                     OK

Where is your CentStorage binary directory
default to [/usr/share/centreon/bin]
>
Path /usr/share/centreon/bin                               OK

Where is your CentStorage RRD directory
default to [/var/lib/centreon]
>
Path /var/lib/centreon                                     OK
Preparing Centreon temporary files
/tmp/centreon-setup exists, it will be moved...
install www/install/createTablesCentstorage.sql            OK
Creating Centreon Directory '/var/lib/centreon/status'     OK
Creating Centreon Directory '/var/lib/centreon/metrics'    OK
Change right : /var/run/centreon                           OK
Install logAnalyserBroker                                  OK
Install nagiosPerfTrace                                    OK
Change macros for centstorage.cron                         OK
Install CentStorage cron                                   OK
Change macros for centstorage.logrotate                    OK
Install Centreon Storage logrotate.d file                  OK
Create /etc/centreon/instCentStorage.conf                  OK
Installation du module CentCore.
------------------------------------------------------------------------
	Start CentCore Installation
------------------------------------------------------------------------

Where is your CentCore binary directory
default to [/usr/share/centreon/bin]
>
Path /usr/share/centreon/bin                               OK
Preparing Centreon temporary files
/tmp/centreon-setup exists, it will be moved...
Copy CentCore in binary directory                          OK
Change right : /var/run/centreon                           OK
Change right : /var/lib/centreon                           OK
Change macros for centcore.logrotate                       OK
Install Centreon Core logrotate.d file                     OK
Replace CentCore init script Macro                         OK
Replace CentCore default script Macro                      OK

Do you want me to install CentCore init script ?
[y/n], default to [n]:
> y
CentCore init script installed                             OK
CentCore default script installed                          OK

Do you want me to install CentCore run level ?
[y/n], default to [n]:
> y
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
CentCore Perl lib installed                                OK
Create /etc/centreon/instCentCore.conf                     OK
Installation des plugins pour les Traps SNMP, répondre y pour la création des dossiers.
------------------------------------------------------------------------
	Start CentPlugins Traps Installation
------------------------------------------------------------------------

Where is your SNMP configuration directory
default to [/etc/snmp]
>
/etc/snmp                                                  OK

Where is your CentreonTrapd binaries directory
default to [/usr/local/centreon/bin]
> /usr/share/centreon/bin
/usr/share/centreon/bin                                    OK
Finding Apache user :                                      www-data
Preparing Centreon temporary files
/tmp/centreon-setup exists, it will be moved...
Change macros for snmptrapd.conf                           OK
Replace CentreonTrapd init script Macro                    OK
Replace CentreonTrapd default script Macro                 OK

Do you want me to install CentreonTrapd init script ?
[y/n], default to [n]:
> y
CentreonTrapd init script installed                        OK
CentreonTrapd default script installed                     OK

Do you want me to install CentreonTrapd run level ?
[y/n], default to [n]:
> y
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
trapd Perl lib installed                                   OK
Install : snmptrapd.conf                                   OK
Install : centreontrapdforward                             OK
Install : centreontrapd                                    OK
Change macros for centreontrapd.logrotate                  OK
Install Centreon Trapd logrotate.d file                    OK
Create /etc/centreon/instCentPlugins.conf                  OK
###############################################################################
#                                                                             #
#                 Go to the URL : http://raspberrypi/centreon/                    #
#                   	     to finish the setup                              #
#                                                                             #
#           Report bugs at https://github.com/centreon/centreon/issues        #
#                                                                             #
#                         Thanks for using Centreon.                          #
#                          -----------------------                            #
#                        Contact : infos@centreon.com                         #
#                          http://www.centreon.com                            #
#                                                                             #
###############################################################################
Nouveauté avec la version 2.7, il faut obligatoirement configurer le paramètre date.timezone pour le php. Pour cela, éditez le fichier de configuration pour apache.
sudo vi /etc/php5/apache2/php.ini
Saisissez la valeur adaptée à votre configuration.
[Date]
; Defines the default timezone used by the date functions
; http://php.net/date.timezone
date.timezone = Europe/Paris
Il faut autoriser la configuration Centreon pour le serveur Web Apache
sudo a2enconf centreon.conf
sudo service apache2 reload
Il faut terminer l’installation en mode Web.

19 Installation en mode Web

Utilisez un navigateur internet récent et saisissez l’url suivante :
http://ip du serveur centreon/centreon/
Stacks Image 35865
Démarrage de l'installation Web, cliquez sur "Next"
Stacks Image 1049567
Validation des dépendances, cliquez sur "next".
Stacks Image 35907
Nous choisirons comme moteur de supervision centreon-engine. Saisissez les chemins ci-dessous.
Centreon Engine directory:			/usr/sbin/
Centreon Engine Stats binary:			/usr/sbin/centenginestats
Centreon Engine var lib directory:		/var/lib/centreon-engine
Centreon Engine Connector path:			/usr/lib/centreon-connector
Centreon Engine Library (*.so) directory:	/usr/lib/centreon-engine/
Cliquez sur Next. Auparavant, il faudra créer le dossier /var/log/centreon-broker et donner la permission au processus centengine d'écrire le fichier de statistique.
sudo mkdir /var/log/centreon-broker
sudo chown centreon-broker:centreon-broker  /var/log/centreon-broker
sudo chmod 775 /var/log/centreon-broker

sudo chmod 775 /var/lib/centreon-broker
Stacks Image 35928
Nous choisirons comme broker centreon-broker. Saisissez les chemins ci-dessous.
Centreon Broker etc directory:		/etc/centreon-broker
Centreon Broker module (cbmod.so):	/usr/lib/centreon-broker/cbmod.so
Centreon Broker log directory:		/var/log/centreon-broker
Retention file directory:		/var/lib/centreon-broker
Centreon Broker lib (*.so) directory:	/usr/share/centreon/lib/centreon-broker
Cliquez sur Next
Stacks Image 35952
Création du user "Administrateur", admin et son mot de passe. Saisir une adresse valide pour l’email. Cliquez sur Next.
Stacks Image 35981
Définir les Accès MySQL, le mot de passe de MySQL. Laisser les noms de base par défaut CENTREON, CENTSTORAGE et CENTSTATUS. Saisir le mot de passe pour ces bases de données. Cliquez sur Next
Stacks Image 35998
Attention, la création des bases est relativement longue, patientez. Cliquez sur Next
Stacks Image 36037
Fin de l'installation, cliquez sur Finish
Stacks Image 6244
Vous devriez avoir cette vue. Vous pouvez vous connecter à l'interface d'administration.

19.1 Configuration des services

Démarrez les services ci-dessous :
sudo service centcore start
sudo service centreontrapd start
Connectez-vous à l'interface de Centreon. Sélectionnez le menu Configuration / Pollers
Stacks Image 1049582
Cochez le poller Central et cliquez sur Apply configuration.
Stacks Image 6116
cochez les quatre premières options et cliquez sur Export
Il faut lancez le service broker.
sudo service cbd start
Au bout de quelques secondes, vous devriez voir apparaître les hôtes et services dans la barre d'état en haut à droite.
Stacks Image 6174
Hôte et services de la barre d'état
Votre supervision est en état de fonctionnement
Stacks Image 6195
Les services commencent à s'initialiser.
Votre installation est opérationnelle. Même avec un Raspberry Pi 3, il ne faut pas espérer superviser toute votre infrastructure surtout avec les performances de la base de données sur le support micro-sd. Il serait intéressant d’avoir une interface de stockage plus robuste comme le disque dur WD PiDrive spécialisé pour le Raspberry. Pour aller plus loin : Communiquer avec Postfix et un plugin pour vérifier la température de votre CPU.
comments powered by Disqus
 Vous êtes ici: